Name:			qsampler
Summary:		LinuxSampler GUI front-end application
Version:		1.0.1
Release:		%mkrel 2
License:		GPLv2
Group:			Sound/Midi
URL:			https://qsampler.sourceforge.io/
Source0:		https://sourceforge.net/projects/qsampler/files/qsampler/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	pkgconfig(lscp) = %{version}
BuildRequires:	pkgconfig(gig) >= 4.5.0

Requires:		linuxsampler >= 2.4.0

%description
QSampler is a LinuxSampler GUI front-end application written in
C++ around the Qt6 toolkit using Qt Designer. At the moment it
just wraps as a client reference interface for the LinuxSampler
Control Protocol (LSCP).

%prep
%autosetup -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

desktop-file-install \
		--remove-key="X-SuSE-translate" \
		--remove-key="Version" \
		--set-key=Exec --set-value="%{name}" \
		--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/org.rncbc.%{name}.application-x-%{name}-session.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/org.rncbc.%{name}.application-x-%{name}-session.svg
%{_datadir}/%{name}/
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Tue Jun 17 2025 philippedidier <philippedidier> 1.0.1-2.mga10
+ Revision: 2192293
- rebuilt for new gig

* Tue Apr 01 2025 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2172315
- new version: 1.0.1

* Wed Jun 19 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2075511
- new version: 1.0.0

* Wed Apr 03 2024 philippedidier <philippedidier> 0.9.12-7.mga10
+ Revision: 2054219
- rebuilt upon gig-4.4.1 and linuxsampler-2.3.1

* Wed Apr 03 2024 philippedidier <philippedidier> 0.9.12-6.mga10
+ Revision: 2054188
- really allow build for i586 without msse2 and for i686 with msse2

* Wed Apr 03 2024 philippedidier <philippedidier> 0.9.12-5.mga10
+ Revision: 2054119
- revert attempt to allow build for i586 without msse2 and for i686 with msse2
- allow build for i586 without msse2 and for i686 with msse2

* Tue Apr 02 2024 philippedidier <philippedidier> 0.9.12-3.mga10
+ Revision: 2053988
- rebuilt with last qttools6-6.6.2-3 and a workaround to build for i586
- rebuilt with last qttools6-6.6.2-3

* Sun Jan 28 2024 philippedidier <philippedidier> 0.9.12-1.mga10
+ Revision: 2035567
- new version 0.9.12

* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.11-1.mga10
+ Revision: 1988472
- new version: 0.9.11

* Mon Jun 05 2023 philippedidier <philippedidier> 0.9.10-3.mga9
+ Revision: 1960940
- allow build on aarch64 since linuxsampler can also

* Sun Jun 04 2023 philippedidier <philippedidier> 0.9.10-2.mga9
+ Revision: 1960908
- re submit ...

* Sun Jun 04 2023 philippedidier <philippedidier> 0.9.10-1.mga9
+ Revision: 1960895
- new version 0.9.10 rebuild uopn new liblscp 0.9.10

* Wed Dec 28 2022 daviddavid <daviddavid> 0.9.8-1.mga9
+ Revision: 1927394
- new version: 0.9.8

* Thu Oct 20 2022 papoteur <papoteur> 0.9.7-1.mga9
+ Revision: 1897903
- new 0.9.7

* Mon Jul 25 2022 philippedidier <philippedidier> 0.9.6-2.mga9
+ Revision: 1871601
- correct icons names in spec file
- new version 0.9.6

* Tue Apr 05 2022 umeabot <umeabot> 0.9.5-2.mga9
+ Revision: 1844077
- Mageia 9 Mass Rebuild

* Tue Feb 01 2022 barjac <barjac> 0.9.5-1.mga9
+ Revision: 1770891
- new version 0.9.5
- switched to cmake only upstream
- adjusted BRs and files lists

* Tue Oct 05 2021 barjac <barjac> 0.9.4-1.mga9
+ Revision: 1749614
- new version 0.9.4

* Wed May 19 2021 barjac <barjac> 0.9.3-1.mga9
+ Revision: 1725531
- new version 0.9.3
- drop aarch64 build (linuxsampler)

* Wed Mar 17 2021 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1704016
- new version: 0.9.2

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1690897
- new version: 0.9.1

* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661140
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659548
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610186
- new version: 0.6.3

* Sun Mar 29 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1562088
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541324
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469572
- new version: 0.6.1

* Fri Nov 29 2019 daviddavid <daviddavid> 0.6.0-2.mga8
+ Revision: 1463691
- rebuild for new gig 4.2.0

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454279
- new version: 0.6.0

* Thu Oct 10 2019 daviddavid <daviddavid> 0.5.6-1.mga8
+ Revision: 1451142
- new version: 0.5.6

* Fri Apr 12 2019 barjac <barjac> 0.5.5-1.mga7
+ Revision: 1388972
- new version 0.5.5

* Mon Apr 01 2019 umeabot <umeabot> 0.5.4-2.mga7
+ Revision: 1384252
- Qt5 Rebuild

* Mon Mar 11 2019 barjac <barjac> 0.5.4-1.mga7
+ Revision: 1374046
- new version 0.5.4

* Tue Jan 01 2019 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1348350
- new version: 0.5.3

* Mon Dec 24 2018 daviddavid <daviddavid> 0.5.1-3.mga7
+ Revision: 1344784
- do not requires unavailable linuxsampler on aarch64

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1300675
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 barjac <barjac> 0.5.1-1.mga7
+ Revision: 1235829
- new version 0.5.1

* Fri Dec 22 2017 barjac <barjac> 0.5.0-1.mga7
+ Revision: 1183748
- new version 0.5.0
- spec clean up & remove snapshot script
- fix SOURCE0 & files list

* Mon Oct 02 2017 daviddavid <daviddavid> 0.4.3-2.mga7
+ Revision: 1162543
- fix the desktop file

* Mon Oct 02 2017 daviddavid <daviddavid> 0.4.3-1.mga7
+ Revision: 1162542
- new version: 0.4.3

* Wed Apr 06 2016 barjac <barjac> 0.4.0-1.mga6
+ Revision: 998823
- new version 0.4.0
- updated tarball script to handle full versions

* Tue Apr 05 2016 barjac <barjac> 0.3.1.20-1.mga6
+ Revision: 998494
- new version 0.3.1.20

* Sat Jan 16 2016 barjac <barjac> 0.3.1.18-1.mga6
+ Revision: 924645
- new mini version 0.3.1.18
- fix typo in mk-git-tar-rev script

* Sat Oct 24 2015 barjac <barjac> 0.3.1.13-1.mga6
+ Revision: 894929
- new version 0.3.1.13
- switched to git from svn for tarball
- added extra minor to version from git describe to make versioning simpler when using snapshots

* Thu Aug 27 2015 cjw <cjw> 0.2.2-0.2671.4.mga6
+ Revision: 870163
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-0.2671.3.mga5
+ Revision: 741011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-0.2671.2.mga5
+ Revision: 688513
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.2.2-0.2671.1.mga5
+ Revision: 670989
- new snapshot 2671
- fix files list

* Tue May 13 2014 barjac <barjac> 0.2.2-0.2546.3.mga5
+ Revision: 622399
- new snapshot 2546
- fix files list

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-0.2459.2.mga4
+ Revision: 531790
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 0.2.2-0.2459.1.mga4
+ Revision: 465353
- new snapshot 2459
- use makeinstall_std
- fix files

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-0.2379.2.mga3
+ Revision: 379911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.2.2-0.2379.1.mga3
+ Revision: 349433
- correct release format

* Wed Nov 14 2012 barjac <barjac> 0.2.2-0.2379.mga3
+ Revision: 317573
- imported package qsampler

